Subject: Re: [nsc] FW: New Version Notification for draft-liu-sfc-use-cases-00.txt

From: "Cao,Zhen" <[email-masked]>
Date: Fri, 6 Dec 2013 11:00:52 +0800

per subscriber actually equal to per-flow based service chain. In
order to identify the subscriber or their group, it will need to
identify the flow.

For this perspective, it is included.

Regards,
zhen

On Thu, Nov 21, 2013 at 12:09 AM, Behcet Sarikaya
<[email-masked]> wrote:
> Hi Med,
>
> I think that the parental control service is an example. Another example is
> the traffic offloader service that we defined in draft-xue-aps-service
> chaining-usecase-00.txt.
>
> Regards,
>
> Behcet
>
>
> On Fri, Nov 15, 2013 at 3:08 AM, <[email-masked]> wrote:
>>
>> Hi Behcet,
>>
>>
>>
>> Which requirements document are you referring to? This one
>> http://tools.ietf.org/html/draft-boucadair-sfc-requirements-00?
>>
>>
>>
>> We should make a distinction between classification rules and the set of
>> SFCs themselves. Classification rules may be subscriber-inferred while I’m
>> still not convinced the set of SFCs should be built on a per-subscriber
>> basis.
>>
>>
>>
>> Cheers,
>>
>> Med
>>
>>
>>
>> De : [email-masked] [mailto:[email-masked]] De la part de
>> Behcet Sarikaya
>> Envoyé : mercredi 16 octobre 2013 00:11
>> À : Ian Smith
>> Cc : [email-masked]; Jim Guichard (jguichar); Liushucheng (Will); Ron Parker
>> Objet : Re: [nsc] FW: New Version Notification for
>> draft-liu-sfc-use-cases-00.txt
>>
>>
>>
>> Folks, I checked and found out that in the requirements draft
>> per-subscriber service issue is pretty clearly stated.
>>
>> My suggestion is to remove the paragraph that starts with SFC are not
>> per-subscriber. It is confusing.
>>
>> Regards,
>>
>> Behcet
>>
>>
>>
>> On Tue, Oct 15, 2013 at 4:14 PM, Ian Smith <[email-masked]> wrote:
>>
>> I'll see what I can do.
>>
>> ________________________________
>>
>> From: Jim Guichard (jguichar) [[email-masked]]
>>
>> Sent: Tuesday, October 15, 2013 5:14 PM
>> To: Ian Smith
>> Cc: Ron Parker; <[email-masked]>; [email-masked]; Liushucheng (Will)
>>
>>
>> Subject: Re: [nsc] FW: New Version Notification for
>> draft-liu-sfc-use-cases-00.txt
>>
>>
>>
>> Use cases from real operators would be a start.
>>
>> Sent from my iPhone
>>
>>
>> On Oct 15, 2013, at 5:11 PM, "Ian Smith" <[email-masked]> wrote:
>>
>> what do you need to make this reality driven?
>>
>> ________________________________
>>
>> From: Jim Guichard (jguichar) [[email-masked]]
>> Sent: Tuesday, October 15, 2013 5:02 PM
>> To: Ron Parker
>> Cc: <[email-masked]>; [email-masked]; Liushucheng (Will); Ian Smith
>> Subject: Re: [nsc] FW: New Version Notification for
>> draft-liu-sfc-use-cases-00.txt
>>
>> Sure but we should deal in reality driven by use cases and I have yet to
>> see anyone suggest they will build an individual service chain for every
>> client. In fact the complete opposite seems true.
>>
>> Sent from my iPhone
>>
>>
>> On Oct 15, 2013, at 4:52 PM, "Ron Parker"
>> <[email-masked]> wrote:
>>
>> Agree that is the typical usage of policy.   And, the degenerate case is
>> that the world is comprised of subscriber groups that have exactly 1
>> subscriber.   Probably not practical, but why prevent it?
>>
>>
>>
>>    Ron
>>
>>
>>
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jim
>> Guichard (jguichar)
>> Sent: Tuesday, October 15, 2013 4:48 PM
>> To: <[email-masked]>
>> Cc: [email-masked]; Liushucheng (Will); Ian Smith
>> Subject: Re: [nsc] FW: New Version Notification for
>> draft-liu-sfc-use-cases-00.txt
>>
>>
>>
>> No, to me this is most certainly a per-subscriber-group.
>>
>> Sent from my iPhone
>>
>>
>> On Oct 15, 2013, at 4:45 PM, "Behcet Sarikaya" <[email-masked]>
>> wrote:
>>
>>  I was talking about something like parental control.
>>
>> Do you qualify such an SFC as each mobile client getting its own SFC?
>>
>> I think it is more like per-subscriber-group. It could be per subscriber
>> as well but I can not think of an example at this moment.
>>
>>
>>
>> On Tue, Oct 15, 2013 at 2:52 PM, Jim Guichard (jguichar)
>> <[email-masked]> wrote:
>>
>> Hi Ian,
>>
>> If by subscriber you mean per-tenant or per-subscriber-group then I will
>> agree that SFC's will be built for these but that's a far cry from
>> per-subscriber which implies to me an individual broadband or mobile client.
>>
>> Sent from my iPhone
>>
>>
>> On Oct 15, 2013, at 1:51 PM, "Ian Smith" <[email-masked]> wrote:
>>
>> I don't think that is a foregone conclusion.
>>
>> When you combine what is being done in IaaS environments for muti-tenant
>> dynamic datacenters with what you can do with policy defined networking and
>> IPv6, for an access provider to provision per-subscriber VAS LANs and
>> default gateways takes away a lot of the big problems caused by aggregation
>> that you're trying to solve with service chains.  More to the point, you
>> don't need to disaggregate anything when you know that all the traffic
>> belongs to a single customer, and that the default gateway of each node is
>> the next hop in the service chain.  Solving the problem for 1
>> subscriber@1Gbps is trivial; what makes what we're talking about in this
>> list hard is that you are trying to solve it for 10 million subscribers
>> @100Gbps but in truth the only technology-based reason you do that is
>> because of administrative challenges that the cloud world is solving (and
>> may have solved before anything is produced in a WG) and that are squarely
>> in the domain of things already proven to be better done by computers than
>> people.
>>
>> I tend to argue that per-subscriber provisioning of the access path
>> triggered by identity-based authentication is the obvious and natural
>> evolution of the technology being fielded today.
>>
>>
>>
>> ________________________________
>>
>> From: [email-masked] [[email-masked]] on behalf of Jim
>> Guichard (jguichar) [[email-masked]]
>> Sent: Tuesday, October 15, 2013 1:34 PM
>> To: [email-masked]; Liushucheng (Will)
>> Cc: [email-masked]
>> Subject: Re: [nsc] FW: New Version Notification for
>> draft-liu-sfc-use-cases-00.txt
>>
>> It seems very unlikely that one would opt for a solution whereby a
>> separate SFC is required per-subscriber; clearly millions of SFC's is not
>> desirable no matter how you cut it. IMHO, the support of services that
>> require per-subscriber policy are more likely to be realized using something
>> like the solution described in draft-quinn-sfc-nsh.
>>
>>
>>
>> From: Behcet Sarikaya <[email-masked]>
>> Reply-To: "[email-masked]" <[email-masked]>
>> Date: Tuesday, October 15, 2013 11:44 AM
>> To: "Liushucheng (Will)" <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>
>> Subject: Re: [nsc] FW: New Version Notification for
>> draft-liu-sfc-use-cases-00.txt
>>
>>
>>
>> Hi Shucheng,
>>
>> In the use cases draft, you say that
>>
>> SFC are not per-subscriber.  In other words, this document assumes
>>       per-subscriber SFCs are not instantiated in the network.
>>       Deployments cases that would require per-subscriber SFCs are out
>>       of scope.
>>
>> However you have at least three parental control use cases. How would it
>> be possible to have parental control not being per-subscriber?
>>
>> Regards,
>>
>> Behcet
>>
>>
>>
>> On Fri, Oct 11, 2013 at 1:13 AM, Liushucheng (Will)
>> <[email-masked]> wrote:
>>
>> Folks,
>>
>> We've uploaded the updated and renamed use case draft. Looking forward to
>> your comments.
>>
>> Regards,
>> Shucheng LIU (Will)
>>
>>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> Sent: Thursday, October 10, 2013 3:42 PM
>> To: Liushucheng (Will); Jie Hu; Hongyu Li (Julio); Huangyong (Oliver);
>> Mohamed Boucadair; Liushucheng (Will); Nicolai Leymann; Zhen Cao
>> Subject: New Version Notification for draft-liu-sfc-use-cases-00.txt
>>
>>
>> A new version of I-D, draft-liu-sfc-use-cases-00.txt
>> has been successfully submitted by Will(Shucheng) Liu and posted to the
>> IETF repository.
>>
>> Filename:        draft-liu-sfc-use-cases
>> Revision:        00
>> Title:           Service Function Chaining Use Cases
>> Creation date:   2013-10-10
>> Group:           Individual Submission
>> Number of pages: 14
>> URL:
>> http://www.ietf.org/internet-drafts/draft-liu-sfc-use-cases-00.txt
>> Status:          http://datatracker.ietf.org/doc/draft-liu-sfc-use-cases
>> Htmlized:        http://tools.ietf.org/html/draft-liu-sfc-use-cases-00
>>
>>
>> Abstract:
>>    The delivery of value-added services relies on the invocation of
>>    advanced Service Functions in a sequential order.  This mechanism is
>>    called Service Function Chaining (SFC).  The set of involved Service
>>    Functions and their order depends on the service context.
>>
>>    This document presents a set of use cases of Service Function
>>    Chaining (SFC).
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> The IETF Secretariat
>>
>> _______________________________________________
>> nsc mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nsc
>>
>>
>>
>>
>>
>>
>
>
>
> _______________________________________________
> nsc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsc
>